aboutsummaryrefslogtreecommitdiff
path: root/toolchain/toolchain-external/toolchain-external-codescape-mti-mips
Commit message (Collapse)AuthorAgeFilesLines
* toolchain/toolchain-external-codescape-mti-mips: rewrap Config.in.help textGravatar Thomas Petazzoni2018-12-011-4/+4
| | | | | | | | | | Fix the following check-package warnings: toolchain/toolchain-external/toolchain-external-codescape-mti-mips/Config.in:14: help text: <tab><2 spaces><62 chars> (http://nightly.buildroot.org/#writing-rules-config-in) toolchain/toolchain-external/toolchain-external-codescape-mti-mips/Config.in:15: help text: <tab><2 spaces><62 chars> (http://nightly.buildroot.org/#writing-rules-config-in) toolchain/toolchain-external/toolchain-external-codescape-mti-mips/Config.in:16: help text: <tab><2 spaces><62 chars> (http://nightly.buildroot.org/#writing-rules-config-in) Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* toolchain/toolchain-external-codescape-mti-mips: bump to 2018.09-02Gravatar Paul Burton2018-12-013-15/+15
| | | | | | | | | | | | | | | | | The 2016.05-06 toolchain we've had support for is pretty outdated at this point, so update to the latest 2018.09-02 version. Of note besides the typical component version bumps: - The toolchains are now provided by MIPS Tech LLC after its departure from Imagination Technologies. - The download site changed as a result of that. - The toolchains are now built targeting CentOS 6 rather than CentOS 5. Signed-off-by: Paul Burton <paul.burton@mips.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* toolchain/*/Config.in: re-wrap help textGravatar Ricardo Martincoski2018-04-011-2/+4
| | | | | | | | | ... to follow the convention <tab><2 spaces><62 chars>. Signed-off-by: Ricardo Martincoski <ricardo.martincoski@gmail.com> Cc: Thomas Petazzoni <thomas.petazzoni@bootlin.com> Cc: Arnout Vandecappelle <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* toolchain/external: hide versions too old for the current archGravatar Yann E. MORIN2017-11-241-0/+1
| | | | | | | | | Hide the toolchains if the arch requires a gcc version more recent than the one they provide. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Cc: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* toolchain: bump Codescape MTI MIPS version to 2016.05-06Gravatar Vicente Olivert Riera2017-01-163-7/+11
| | | | | | | | | | | | | Also... - Fix a typo in Config.in - Take into account the host's architecture to download the x86 or x86_64 version. This makes the IA32 libs dependency in unnecessary. [Peter: fix kernel headers comment as pointed out by Romain] Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Reviewed-by: Romain Naour <romain.naour@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* toolchain-external-codescape-mti-mips: new packageGravatar Thomas Petazzoni2016-11-234-0/+132
This commit adds a new package for the Codescape MTI external toolchain for the MIPS architecture. The legacy implementation is removed. The Codescape hacks for IMG and MTI are duplicated. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Romain Naour <romain.naour@gmail.com> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Reviewed-by: Romain Naour <romain.naour@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>